test/sun/tools/jinfo/Basic.sh

Print this page

        

@@ -1,9 +1,9 @@
 #!/bin/sh
 
 #
-# Copyright (c) 2006, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License version 2 only, as
 # published by the Free Software Foundation.

@@ -33,55 +33,59 @@
 # @run shell Basic.sh
 
 . ${TESTSRC}/../common/CommonSetup.sh
 . ${TESTSRC}/../common/ApplicationSetup.sh
 
-# Start application (send output to shutdown.port)
+# Start application and use PORTFILE for coordination
 PORTFILE="${TESTCLASSES}"/shutdown.port
-startApplication \
-    -classpath "${TESTCLASSES}" SimpleApplication "${PORTFILE}"
+startApplication SimpleApplication "${PORTFILE}"
 
+# all return statuses are checked in this test
+set +e
+
 failed=0
 
-if [ "$OS" != "Windows" ]; then
+if [ $isWindows = false ]; then
     # -sysprops option
-    ${JINFO} -sysprops $pid
+    ${JINFO} -sysprops $appJavaPid
     if [ $? != 0 ]; then failed=1; fi
 
     # -flags option
-    ${JINFO} -flags $pid
+    ${JINFO} -flags $appJavaPid
     if [ $? != 0 ]; then failed=1; fi
 
     # no option
-    ${JINFO} $pid
+    ${JINFO} $appJavaPid
     if [ $? != 0 ]; then failed=1; fi
 
 fi
 
 
 # -flag option
-${JINFO} -flag +PrintGC $pid
+${JINFO} -flag +PrintGC $appJavaPid
 if [ $? != 0 ]; then failed=1; fi 
 
-${JINFO} -flag -PrintGC $pid
+${JINFO} -flag -PrintGC $appJavaPid
 if [ $? != 0 ]; then failed=1; fi
 
-${JINFO} -flag PrintGC $pid
+${JINFO} -flag PrintGC $appJavaPid
 if [ $? != 0 ]; then failed=1; fi
 
-if [ "$OS" = "SunOS" ]; then
+if $isSolaris; then
 
-    ${JINFO} -flag +ExtendedDTraceProbes $pid
+    ${JINFO} -flag +ExtendedDTraceProbes $appJavaPid
     if [ $? != 0 ]; then failed=1; fi
 
-    ${JINFO} -flag -ExtendedDTraceProbes $pid
+    ${JINFO} -flag -ExtendedDTraceProbes $appJavaPid
     if [ $? != 0 ]; then failed=1; fi
 
-    ${JINFO} -flag ExtendedDTraceProbes $pid
+    ${JINFO} -flag ExtendedDTraceProbes $appJavaPid
     if [ $? != 0 ]; then failed=1; fi
 
 fi
 
-stopApplication ShutdownSimpleApplication "${PORTFILE}"
+set -e
 
-exit $failed
+stopApplication "${PORTFILE}"
+waitForApplication
 
+exit $failed